<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.ejb3" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="default-entity-bean-instance-pool,default-entity-bean-optimistic-locking,default-mdb-instance-pool,default-resource-adapter-name,default-sfsb-cache,default-singleton-bean-access-timeout,default-slsb-instance-pool,default-stateful-bean-access-timeout,default-stateful-bean-session-timeout,statistics-enabled,enable-statistics,in-vm-remote-interface-invocation-pass-by-value,default-distinct-name,default-security-domain,default-missing-method-permissions-deny-access,default-sfsb-passivation-disabled-cache,disable-default-ejb-permissions,enable-graceful-txn-shutdown,log-system-exceptions,allow-ejb-name-regex,server-interceptors,client-interceptors,default-clustered-sfsb-cache"/>
        <elem name="addr-params" value="profile,subsystem"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.ejb3"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.ejb.stateful.passation-disabled-cache"/>
        <capability name="$profile.org.wildfly.ejb3"/>
        <capability name="$profile.org.wildfly.ejb.stateful.default-cache"/>
        <capability name="$profile.org.wildfly.ejb3.remote.client-configurator"/>
        <capability name="$profile.org.wildfly.ejb3.clustered.singleton"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.transactions.global-default-local-provider"/>
    </requires>
    <refs>
        <ref feature="extension" include="true"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="default-stateful-bean-access-timeout" nillable="true" stability="default"/>
        <param name="extension" default="org.jboss.as.ejb3"/>
        <param name="enable-statistics" nillable="true" stability="default"/>
        <param name="default-missing-method-permissions-deny-access" nillable="true" stability="default"/>
        <param name="default-sfsb-passivation-disabled-cache" nillable="true" stability="default"/>
        <param name="subsystem" feature-id="true" default="ejb3"/>
        <param name="default-security-domain" nillable="true" stability="default"/>
        <param name="statistics-enabled" nillable="true" stability="default"/>
        <param name="disable-default-ejb-permissions" nillable="true" stability="default"/>
        <param name="default-distinct-name" nillable="true" stability="default"/>
        <param name="default-clustered-sfsb-cache" nillable="true" stability="default"/>
        <param name="allow-ejb-name-regex" nillable="true" stability="default"/>
        <param name="client-interceptors" nillable="true" stability="default"/>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="default-resource-adapter-name" nillable="true" stability="default"/>
        <param name="default-singleton-bean-access-timeout" nillable="true" stability="default"/>
        <param name="default-stateful-bean-session-timeout" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="default-sfsb-cache" nillable="true" stability="default"/>
        <param name="default-slsb-instance-pool" nillable="true" stability="default"/>
        <param name="in-vm-remote-interface-invocation-pass-by-value" nillable="true" stability="default"/>
        <param name="log-system-exceptions" nillable="true" stability="default"/>
        <param name="default-entity-bean-instance-pool" nillable="true" stability="default"/>
        <param name="default-mdb-instance-pool" nillable="true" stability="default"/>
        <param name="default-entity-bean-optimistic-locking" nillable="true" stability="default"/>
        <param name="enable-graceful-txn-shutdown" nillable="true" stability="default"/>
        <param name="server-interceptors" nillable="true" stability="default"/>
    </params>
    <packages>
        <package name="org.jboss.as.ejb3"/>
    </packages>
</feature-spec>